//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------------

$centerPrintActive = 0;
$bottomPrintActive = 0;

//-------------------------------------------------------------------------------------------------------
// time is specified in seconds
function clientCmdCenterPrint(%message, %time, %priority){

  if (%priority $= "") %priority = 1;
   
  // if centerprint already visible, reset text and time.
  if ($centerPrintActive) {   
    // if this message is equal or greater priority
    if (%priority >= $centerPrintPriority){
      // cancel removal of old text
      // because we will be adding new
      if( centerPrintDlg.removePrint !$= ""){
        cancel(centerPrintDlg.removePrint);
        // AC fix:  now at new priority
        $centerPrintPriority = %priority;
      }
    // if not greater or equal priority, do nothing
    }else{
      return;      
    }
  
  // if not already visible, just display the message
  }else{
    CenterPrintDlg.setVisible(true);
    $centerPrintActive = 1;
    $centerPrintPriority = %priority;
  }
   
  // count number of newlines in the text 
  %lncount = 1;
  %index = strpos(%message, "\n");
  while (%index >= 0){
    %lncount++;
    %index = strpos(%message, "\n", %index+1);
  }
   
  // set the text
  CenterPrintText.setText( "<just:center>" @ %message );

  // set the size of the dialog so everything fits
  CenterPrintDlg.extent = firstWord(CenterPrintDlg.extent) @ " " @ (36 * %lncount);

  // schedule deletion
  if (%time > 0)
    centerPrintDlg.removePrint = schedule( ( %time * 1000 ), 0, "clientCmdClearCenterPrint" );
}

//-------------------------------------------------------------------------------------------------------
// time is specified in seconds
function clientCmdBottomPrint(%message, %time, %priority){
  if (%priority $= "") %priority = 1;
   
  // if bottomprint already visible, reset text and time.
  if ($bottomPrintActive) {   
    // if this message is equal or greater priority
    if (%priority >= $bottomPrintPriority){
      // cancel removal of old text
      // because we will be adding new
      if( bottomPrintDlg.removePrint !$= ""){
        cancel(bottomPrintDlg.removePrint);
        // AC fix:  now at new priority
        $bottomPrintPriority = %priority;
      }
    // if not greater or equal priority, do nothing
    }else{
      return;      
    }
  
  // if not already visible, just display the message
  }else{
    bottomPrintDlg.setVisible(true);
    $bottomPrintActive = 1;
    $bottomPrintPriority = %priority;
  }
   
  // count number of newlines in the text 
  %lncount = 1;
  %index = strpos(%message, "\n");
  while (%index >= 0){
    %lncount++;
    %index = strpos(%message, "\n", %index+1);
  }
   
  // set the text
  bottomPrintText.setText( "<just:center>" @ %message );
  
  // set the size of the dialog so everything fits
  bottomPrintDlg.extent = firstWord(bottomPrintDlg.extent) @ " " @ (36 * %lncount);

  // schedule deletion
  if (%time > 0)
    bottomPrintDlg.removePrint = schedule( ( %time * 1000 ), 0, "clientCmdClearbottomPrint" );
}

//-------------------------------------------------------------------------------------------------------

function BottomPrintText::onResize(%this, %width, %height){
  %this.position = "0 0";
}

//-------------------------------------------------------------------------------------------------------

function CenterPrintText::onResize(%this, %width, %height){
  %this.position = "0 0";
}

//-------------------------------------------------------------------------------------------------------

function clientCmdClearCenterPrint(){
  $centerPrintPriority = 0;
  $centerPrintActive = 0;
  CenterPrintDlg.visible = 0;
  CenterPrintDlg.removePrint = "";
}

//-------------------------------------------------------------------------------------------------------

function clientCmdClearBottomPrint(){
  $bottomPrintPriority = 0;
  $bottomPrintActive = 0;
  BottomPrintDlg.visible = 0;
  BottomPrintDlg.removePrint = "";
}

//-------------------------------------------------------------------------------------------------------
