// handles click event of "return to game" button
function ingameUI::returnToGame_Click(%obj){
  Canvas.popDialog(ingameUI);
}

// handles click event of "Restart Area" button
function ingameUI::restartArea_Click(%obj){
  MessageBoxYesNo( "Restart Area", "Are you sure you want to restart this area?", "ingameUI.restartArea();", "");
}

// handles click event of "Return to Main Menu" button
function ingameUI::exitToMainMenu_Click(%obj){
  MessageBoxYesNo( "Return to Main Menu", "Are you sure you want to exit this mission and return to the main menu?", "disconnect();", "");
}

// called when we need to restart our area
function ingameUI::restartArea(){
  commandToServer('Suicide');
  Canvas.popDialog(ingameUI);
}


function ingameUI::addObjective(%obj, %objectiveStr){
  // get position in array for this new objective
  %pos = ingameUI.numObjectives;
  
  // increase total
  ingameUI.numObjectives++;
  
  // create our Bitmap for the checkbox
  ingameUI.objectiveBitmapControls[%pos] = new GUIBitmapCtrl(){
    bitmap = ingameUI.OBJECTIVENOTCOMPLETEFILENAME;
    position = "10" SPC ((ingameUI.OBJECTIVEHEIGHT * %pos));
    visible = "1";
    extent = ingameUI.OBJECTIVECHECKBOXWIDTH SPC ingameUI.OBJECTIVECHECKBOXHEIGHT;
  };
 
  // create our Text object
  ingameUI.objectiveTextControls[%pos] = new GUITextCtrl(){
    position = (10 + ingameUI.OBJECTIVECHECKBOXWIDTH + 10) SPC ((ingameUI.OBJECTIVEHEIGHT * %pos) + 3);
    visible = "1";
    extent = ingameUI_grpObjectives.width SPC ingameUI.OBJECTIVEHEIGHT;
    profile = GUIMediumTextProfile;
  };
  ingameUI.objectiveTextControls[%pos].setText(%objectiveStr);
  
  // add objects to group object in our GUI
  ingameUI_grpObjectives.addGUIControl( ingameUI.objectiveBitmapControls[%pos] );
  ingameUI_grpObjectives.addGUIControl( ingameUI.objectiveTextControls[%pos] );
 
  // return objective ID
  return %pos;
}

// changes an objective from incomplete to complete
function ingameUI::completeObjective(%obj, %objective_id){
  ingameUI.objectiveBitmapControls[%objective_id].setBitmap(ingameUI.OBJECTIVECOMPLETEFILENAME);
}

ingameUI.numObjectives = 0;

// initializes our ingameUI object
function ingameUI::initialize(%obj){
  if (ingameUI.numObjectives > 0){
    for (%pos = 0; %pos < ingameUI.numObjectives; %pos++){
      ingameUI_grpObjectives.remove(ingameUI.objectiveBitmapControls[%pos]);
      ingameUI_grpObjectives.remove(ingameUI.objectiveTextControls[%pos]);
    }
  }
  
  ingameUI.numObjectives = 0;
  //ingameUI.objectiveTextControls   will store the list of text controls for our objectives
  //ingameUI.objectiveBitmapControls will store the list of checkbox bitmaps
}

// some constants
ingameUI.OBJECTIVECOMPLETEFILENAME = expandFileName("./ui/objective_checked.png");
ingameUI.OBJECTIVENOTCOMPLETEFILENAME = expandFileName("./ui/objective_unchecked.png");
ingameUI.OBJECTIVEHEIGHT = 30;
ingameUI.OBJECTIVECHECKBOXWIDTH = 25;
ingameUI.OBJECTIVECHECKBOXHEIGHT = 25;


// saves our current objectives state
function ingameUI::saveObjectives(%obj){
  ingameUI.savedNumObjectives = ingameUI.numObjectives;
  for (%pos = 0; %pos < ingameUI.numObjectives; %pos++){
    ingameUI.savedObjectiveText[%pos] = ingameUI.objectiveTextControls[%pos].text;
    if (ingameUI.objectiveBitmapControls[%pos].bitmap $= ingameUI.OBJECTIVECOMPLETEFILENAME){
      ingameUI.savedObjectiveCompleted[%pos] = true;
    }else{
      ingameUI.savedObjectiveCompleted[%pos] = false;
    }
  }
}

// restores our current objectives state
function ingameUI::restoreObjectives(%obj){
  ingameUI.initialize();
  for (%pos = 0; %pos < ingameUI.savedNumObjectives; %pos++){
    %id = ingameUI.addObjective(ingameUI.savedObjectiveText[%pos]);
    if (ingameUI.savedObjectiveCompleted[%pos] == true){
      ingameUI.completeObjective(%id); 
    }
  }
}