//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Global movement speed that affects all cameras.  This should be moved
// into the camera datablock.
$Camera::movementSpeed = 40;

//-----------------------------------------------------------------------------
// Define a datablock class to use for our observer camera
//-----------------------------------------------------------------------------

datablock CameraData(Observer)
{
   mode = "Observer";
};


//-----------------------------------------------------------------------------

function Observer::onTrigger(%this,%obj,%trigger,%state)
{
   // state = 0 means that a trigger key was released
   if (%state == 0)
      return;

   // Default player triggers: 0=fire 1=altFire 2=jump
   %client = %obj.getControllingClient();
   switch$ (%obj.mode)
   {
      case "Observer":
         // Do something interesting.

      case "Corpse":
         // Viewing dead corpse, so we probably want to respawn.
         //%client.spawnPlayer();

         // Set the camera back into observer mode, since in
         // debug mode we like to switch to it.
         %this.setMode(%obj,"Observer");
   }
}

function Observer::setMode(%this,%obj,%mode,%arg1,%arg2,%arg3)
{
   switch$ (%mode)
   {
      case "Observer":
         // Let the player fly around
         %obj.setFlyMode();

      case "WithPlayer":
         // Update the camera to start with the player
         %obj.setTransform(%arg1.getEyeTransform());
      
      case "Corpse":
         //%obj.setFlyMode();
         //%obj.setFirstPerson(false);
         
         

         //%playerForward = %arg1.getForwardVector();
         //echo(%playerForward);
         //%offset = VectorNormalize(%playerForward);
         //%offset = VectorScale(%offset, 5);
         //%offset = getWords(%offset, 0, 1) SPC "10";
         //%cameraPos = VectorAdd(%playerForward, %offset);
         //echo(%cameraPos);
         //%obj.setFlyMode();
         //%obj.setTransform(%cameraPos SPC "0 0 0 1");
         
         //%tempMount = new SceneObject(Temp){      };
         //%tempMount.setTransform( %arg1.getTransform());
         
         
         %obj.setOrbitMode(%arg1, %arg1.getTransform(), 1.0, 2.0, 1.0);
         %camTransform = %obj.getTransform();
         %playerForward = %arg1.getForwardVector();
         //echo(%playerForward);
         %offset = VectorNormalize(%playerForward);
         %offset = VectorScale(%offset, 4);
         %offset = getWords(%offset, 0, 1) SPC "0";
         
         %camTransform = %offset SPC getWords(%camTransform, 3,6);
         %obj.setTransform(%camTransform);
         
         %camTransform = %obj.getTransform();
         //echo(%camTransform);
         
         //%obj.setOrbitMode(%arg1, %camTransform, 1.0, 2.0, 1.0);
         
         
         
         
         //%camTransform = %obj.getTransform();
         //%camEyeVect = %obj.getEyeVector();
         //%camEyeVect = VectorNormalize(%camEyeVect);
         //%camEyeVect = VectorScale(%camEyeVect, -3);
         //%camEyeVect = getWords(%camEyeVect,0,1) SPC "1";
         //%newPos = VectorAdd(%arg1.getWorldBoxCenter(), %camEyeVect);
         //%newTransform = %newPos SPC getWords(%camTransform, 3, 6);
         //%obj.setTransform(%newTransform);
         //setZoomSpeed(4000);
         //setFOV(200);
         //%obj.setDamageState("Dead");
   }
   %obj.mode = %mode;
}


//-----------------------------------------------------------------------------
// Camera methods
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------

function Camera::onAdd(%this,%obj)
{
   // Default start mode
   %this.setMode(%this.mode);
}

function Camera::setMode(%this,%mode,%arg1,%arg2,%arg3)
{
   // Punt this one over to our datablock
   %this.getDatablock().setMode(%this,%mode,%arg1,%arg2,%arg3);
}
