datablock TriggerData( CheckpointTrigger ){
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	tickPeriodMS = 8000;
};

// on enter checkpoint, do our thing
function CheckpointTrigger::onEnterTrigger( %this, %trigger, %obj ){
  if (%trigger.checkpointNumber !$= ""){
    // if this is the player
    if (%obj.getClassName() $= "Player"){
      // find client for player
      %client = %obj.client;
      
      // get the last checkpoint the player was at
      %lastCheckpoint = %client.lastCheckpoint;
      
      // if checkpoints do not match
      if (%lastCheckpoint < %trigger.checkpointNumber){
        // ok, save this place as the last checkpoint now
        %client.storylineHandler.signal("reachcheckpoint",%trigger.checkpointNumber);
        
        %client.lastCheckpoint = %trigger.checkpointNumber;
        %client.saveGameState();
        echo("Player reached new checkpoint.  Now respawning at #" @ %trigger.checkpointNumber);
      }else{
        
      }
    }
  // trigger does not have checkpoint number set  
  }else{
    error("CheckpointTrigger::onTickTrigger - .checkpointNumber attribute not set!"); 
  }
}

function CheckpointTrigger::onLeaveTrigger( %this, %trigger, %obj ){
  // do nothing
}

function CheckpointTrigger::onTickTrigger( %this, %trigger ){
  // do nothing 
}
