// This is a very simple inventory system created by me, Aaron Curley
//
// All "items" are really stored as strings
// This is because there are a predefined number of things our hero can carry.
// Such as "neutralizer", "agent", etc
//
//

//-----------------------------------------------------------------------------
// initializes the inventory system (redirect)
function GameConnection::inventoryInit(%this){
  // redirect to proper function
  %this.inventoryInitialize();
}

//-----------------------------------------------------------------------------
// initializes the inventory system 
function GameConnection::inventoryInitialize(%this){
  %this.inventoryCount = 0;
}

//-----------------------------------------------------------------------------
// adds an item to the inventory system
// returns true if not already in inventory system
function GameConnection::inventoryAdd(%this, %item){
  if (%this.inventoryContains(%item) == false){
    %this.inventoryList[%this.inventoryCount] = %item;
    %this.inventoryCount++;
    return true;
  }else{
    return false;
  }
}

//-----------------------------------------------------------------------------
// returns true if an item is in the inventory system
// else false
function GameConnection::inventoryContains(%this, %item){
  %item = strlwr(%item);
  for (%i = 0; %i < %this.inventoryCount; %i++){
    if (%this.inventoryList[%i] $= %item){
      return true;
    }
  }
  return false;
}

//-----------------------------------------------------------------------------
// removes an item from the inventory
// returns true if successful, else false
function GameConnection::inventoryRemove(%this, %item){
  for (%i = 0; %i < %this.inventoryCount; %i++){
    %item = strlwr(%item);
    if (%this.inventoryList[%i] $= %item){
      %this.inventoryCount--;
      
      // move item at back of list to slot where item to delete is
      %this.inventoryList[%i] = %this.inventoryList[%this.inventoryCount];
      
      return true;
    }
  }
  return false;
}

//-----------------------------------------------------------------------------
// removes an item from the inventory
// returns true if successful, else false
function GameConnection::inventoryDelete(%this, %item){
  return %this.inventoryRemove(%item);
}

//-----------------------------------------------------------------------------
// saves our current objectives state
function GameConnection::inventorySave(%this){
  %this.savedInventoryCount = %this.inventoryCount;
  for (%i = 0; %i < %this.inventoryCount; %i++){
    %this.savedInventoryList[%i] = %this.inventoryList[%i];
  }
}

//-----------------------------------------------------------------------------
// restores our current objectives state
function GameConnection::inventoryRestore(%this){
  %this.inventoryCount = %this.savedInventoryCount;
  for (%i = 0; %i < %this.savedInventoryCount; %i++){
    %this.inventoryList[%i] = %this.savedInventoryList[%i];
  }
}

//-----------------------------------------------------------------------------
