//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

datablock MissionMarkerData(WayPointMarker)
{
  category = "Markers";
  shapeFile = "~/data/shapes/markers/octahedron.dts";
};

datablock MissionMarkerData(SpawnSphereMarker)
{
  category = "Markers";
  shapeFile = "~/data/shapes/markers/octahedron.dts";
};

datablock MissionMarkerData(CheckpointMarker){
  category = "Markers";
  shapeFile = "~/data/shapes/markers/octahedron.dts";
};


//------------------------------------------------------------------------------
// - serveral marker types may share MissionMarker datablock type
function MissionMarkerData::create(%block)
{
   switch$(%block)
   {
      case "WayPointMarker":
         %obj = new WayPoint() {
            dataBlock = %block;
         };
         return(%obj);
      case "SpawnSphereMarker":
         %obj = new SpawnSphere() {
            datablock = %block;
         };
         return(%obj);
      case "CheckpointMarker":
         %obj = new SpawnSphere() {
            datablock = %block;
            radius = 10;
            checkpointNumber = -1;
         };
         return(%obj);
   }
   return(-1);
}
