datablock TriggerData( MasterVatTrigger ){
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	tickPeriodMS = 8000;
};

// on enter master vat area
function MasterVatTrigger::onEnterTrigger( %this, %trigger, %obj ){
  // if this is the player
  if (%obj.getClassName() $= "Player"){
    // find client for player
    %client = %obj.client;
    
    // signal storyline handler that we've reached the master vat
    %client.storylineHandler.signal("reachMasterVat");
  }
}

function MasterVatTrigger::onLeaveTrigger( %this, %trigger, %obj ){
  // do nothing
}

function MasterVatTrigger::onTickTrigger( %this, %trigger ){
  // do nothing 
}

function createPoisonGasEmitters(){
  %groupName = "MissionGroup/PoisonGasLocations";
  %group = nameToID(%groupName);

  if (%group != -1) {
    %count = %group.getCount();
    for (%i = 0; %i < %count; %i++){
      %thiscp = %group.getObject(%i);
      if (%thiscp.getClassName() $= "SpawnSphere"){
        if (%thiscp.PoisonGasLocation !$= ""){
          if (%thiscp.PoisonGasLocation == 1){
            
            
            
            
            echo("---->Poison gas particle emitter.");
            // create the particle emitter
            %elFogo = new ParticleEmitterNode(){
              canSaveDynamicFields = "1";
              position = %thiscp.getWorldBoxCenter();
              rotation = "1 0 0 0";
              scale = "1 1 1";
              dataBlock = "PoisonGasParticleEmitterNode";
              emitter = "PoisonGasParticleEmitter";
              velocity = "1";
            };
            // tag this particle emitter object
            %elFogo.autoGeneratedTag = "***POISONGASPARTICLEOBJECT***";
            // add the object to the group
            %group.add(%elFogo);
            
            
            
            /*echo("---->Adding vat trigger.");
            %trigScale = "6 6 6";
            %trigPosition = VectorScale(%trigScale, 0.5);
            %trigPosition = (getWord(%trigPosition, 0)*-1.0) SPC getWord(%trigPosition, 1) SPC (getWord(%trigPosition, 2) * -1.0);
            %trigPosition = VectorAdd(%thisone.getWorldBoxCenter(), %trigPosition);
            %trigPosition = VectorAdd(%trigPosition, "0 0 0.75");
            // create the particle emitter
            %trig = new Trigger(){
              canSaveDynamicFields = "1";
              position = %trigPosition;
              rotation = "1 0 0 0";
              scale = %trigScale;
              dataBlock = "VatTrigger";
              polyhedron = "0 0 0 1 0 0 0 -1 0 0 0 1";
              
              // dynamic fields
              autoGeneratedTag = "***VATTRIGGEROBJECT***";
              damageRate = 40;
            };
            // add the object to the group
            %obj.add(%trig);*/
            
            
            
            
            
            
            
            
            
            
            
          }
        }
      }
    }
  }else{
    error("Missing PoisonGasLocations group:  " @ %groupName);
  }
}