//Sound For Explosion
datablock AudioProfile( ExplosionOfGas ){
	filename = "~/data/sound/waste.ogg";
	description = AudioLooping2D;
	preload = true;
};

datablock ParticleData( Vat1Particle ){
	dragCoefficient    = 0.4;
  windCoefficient    = 0.0;
  gravityCoefficient = -0.015; // Gravity pulls down, but a negative value makes the particles rise instead of sink
	inheritedVelFactor = 1.00;
	constantAcceleration = 0.0;
	lifetimeMS         = 5000;
	lifetimeVarianceMS = 2500;
  //spinSpeed = 
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;
	useInvAlpha        = false;
  animateTexture    = false;  
  //framesPerSec = 
  textureName        = "~/data/shapes/particletextures/vatglow";
  //animTexName[0] =

  //
	// Color does not vary over time, but 
	// It becomes more and more transparent over time (no pop)
	//
	//colors[0] = "0.0 1.0 0.0 0.1";
	//colors[1] = "0.0 1.0 0.0 0.075";
	//colors[2] = "0.0 1.0 0.0 0.05";
	//colors[3] = "0.0 1.0 0.0 0.25";
  colors[0] = "0.0 1.0 0.0 0.2";
	colors[1] = "0.0 1.0 0.0 0.15";
	colors[2] = "0.0 1.0 0.0 0.10";
	colors[3] = "0.0 1.0 0.0 0.05";

  //
	// Sizes do not vary over time
	//
	sizes[0] = 3.0;
	sizes[1] = 3.0;
	sizes[2] = 3.0;
  sizes[3] = 3.0;
  
	//times[0] = 0.0;
	//times[1] = 0.5;
	//times[2] = 1.0;
};
datablock ParticleData( Vat1ParticlePoisoned : Vat1Particle ){
  colors[0] = "1.0 0.605 0.0 0.2";
	colors[1] = "1.0 0.605 0.0 0.15";
	colors[2] = "1.0 0.605 0.0 0.10";
	colors[3] = "1.0 0.605 0.0 0.05";
};

datablock ParticleEmitterData( Vat1ParticleEmitter ){
  ejectionPeriodMS = 75;
  periodVarianceMS = 50;
  ejectionVelocity = 1.5;//0.04;
  velocityVariance = 0.0;//1;
  ejectionOffset = 0;
  thetaMin = 0.0;
  thetaMax = 180;
  phiReferenceVel = 360;
  phiVariance = 180;
  //overrideAdvance =
  //orientParticles =
  //orientOnVelocity =
	particles = "Vat1Particle";
  //lifetimeMS =
  //lifetimeVariance = 
};
datablock ParticleEmitterData( Vat1ParticleEmitterPoisoned : Vat1ParticleEmitter ){
  particles = "Vat1ParticlePoisoned"; 
};


datablock ParticleEmitterNodeData( Vat1ParticleEmitterNode ){
	timeMultiple = 1;
};









datablock ParticleData( Vat2Particle ){
	dragCoefficient    = 1.5;
  windCoefficient    = 0.0;
  gravityCoefficient = -0.0025; // Gravity pulls down, but a negative value makes the particles rise instead of sink
	inheritedVelFactor = 1.00;
	constantAcceleration = 0.0;
	lifetimeMS         = 1500;
	lifetimeVarianceMS = 250;
  //spinSpeed = 
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;
	useInvAlpha        = false;
  animateTexture    = false;  
  //framesPerSec = 
  textureName        = "~/data/shapes/particletextures/vatglow";
  //animTexName[0] =

  //
	// Color does not vary over time, but 
	// It becomes more and more transparent over time (no pop)
	//
	//colors[0] = "0.0 1.0 0.0 0.1";
	//colors[1] = "0.0 1.0 0.0 0.075";
	//colors[2] = "0.0 1.0 0.0 0.05";
	//colors[3] = "0.0 1.0 0.0 0.25";
  colors[0] = "0.0 1.0 0.0 0.2";
	colors[1] = "0.0 1.0 0.0 0.15";
	colors[2] = "0.0 1.0 0.0 0.10";
	colors[3] = "0.0 1.0 0.0 0.05";

  //
	// Sizes do not vary over time
	//
	sizes[0] = 2.0;
	sizes[1] = 2.0;
	sizes[2] = 2.0;
  sizes[3] = 2.0;
  
	//times[0] = 0.0;
	//times[1] = 0.5;
	//times[2] = 1.0;
};
datablock ParticleData( Vat2ParticlePoisoned : Vat2Particle ){
  colors[0] = "1.0 0.605 0.0 0.2";
	colors[1] = "1.0 0.605 0.0 0.15";
	colors[2] = "1.0 0.605 0.0 0.10";
	colors[3] = "1.0 0.605 0.0 0.05";
};

datablock ParticleEmitterData( Vat2ParticleEmitter ){
  ejectionPeriodMS = 60;
  periodVarianceMS = 50;
  ejectionVelocity = 2.0;//0.04;
  velocityVariance = 0.2;//1;
  ejectionOffset = 0;
  thetaMin = 0;
  thetaMax = 180;
  phiReferenceVel = 360;
  phiVariance = 90;
  //overrideAdvance =
  //orientParticles =
  //orientOnVelocity =
	particles = "Vat2Particle";
  //lifetimeMS = 1000;
  //lifetimeVariance = 100;
};
datablock ParticleEmitterData( Vat2ParticleEmitterPoisoned : Vat2ParticleEmitter ){
  particles = "Vat2ParticlePoisoned"; 
};

datablock ParticleEmitterNodeData( Vat2ParticleEmitterNode ){
	timeMultiple = 1;
};












datablock ParticleData( PoisonGasParticle ){
	dragCoefficient    = 0.001;
  windCoefficient    = 0.0;
  gravityCoefficient = 0.005; // Gravity pulls down, but a negative value makes the particles rise instead of sink
	inheritedVelFactor = 1.00;
	constantAcceleration = 0.0;
	lifetimeMS         = 60000;
	lifetimeVarianceMS = 10000;
  //spinSpeed = 
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;
	useInvAlpha        = false;
  animateTexture    = false;  
  //framesPerSec = 
  textureName        = "~/data/shapes/particletextures/vatglow";
  //animTexName[0] =

  //
	// Color does not vary over time, but 
	// It becomes more and more transparent over time (no pop)
	//
	//colors[0] = "0.0 1.0 0.0 0.1";
	//colors[1] = "0.0 1.0 0.0 0.075";
	//colors[2] = "0.0 1.0 0.0 0.05";
	//colors[3] = "0.0 1.0 0.0 0.25";
  colors[0] = "1.0 0.605 0.0 0.30";
	colors[1] = "1.0 0.605 0.0 0.25";
	colors[2] = "1.0 0.605 0.0 0.20";
	colors[3] = "1.0 0.605 0.0 0.15";

  //
	// Sizes do not vary over time
	//
	sizes[0] = 2.0;
	sizes[1] = 4.0;
	sizes[2] = 8.0;
  sizes[3] = 12.0;
  
	times[0] = 0.0;
	times[1] = 2.0;
	times[2] = 8.0;
  times[3] = 10.0;
};

datablock ParticleEmitterData( PoisonGasParticleEmitter ){
  ejectionPeriodMS = 25;
  periodVarianceMS = 0;
  ejectionVelocity = 1.5;//0.04;
  velocityVariance = 1.0;//1;
  ejectionOffset = 0;
  thetaMin = 0.0;
  thetaMax = 180;
  phiReferenceVel = 360;
  phiVariance = 180;
  //overrideAdvance =
  //orientParticles =
  //orientOnVelocity =
	particles = "PoisonGasParticle";
  //lifetimeMS =
  //lifetimeVariance =
  soundProfile=ExplosionOfGas;
};


datablock ParticleEmitterNodeData( PoisonGasParticleEmitterNode ){
	timeMultiple = 1;
};
